import java.io.File;

import javax.swing.filechooser.FileFilter;


/**
 * Filter for image files.
 */
public class ImageFileFilter extends FileFilter {

	/* (non-Javadoc)
	 * @see javax.swing.filechooser.FileFilter#accept(java.io.File)
	 */
	public boolean accept(File f) {
		String name=f.getName();
		return f.isDirectory() || name.toLowerCase().matches(".*\\.(jpg|gif|png|bmp)$");
	}

	/* (non-Javadoc)
	 * @see javax.swing.filechooser.FileFilter#getDescription()
	 */
	public String getDescription() {
		return "*.jpg, *.gif, *.png, *.bmp";
	}

}
