/**
 * Class for storing progress info.
 */
public class Progress implements Progressable{
	private int currentProgress=0;
	
	/**
	 * sets and returns the current progress amount.
	 * @param prog progress amount. Special values are: 1 - the initial value.
	 * 				-1 - makes it only return the value instead of setting it.
	 * @return The current progress amount.
	 */
	public synchronized int getSetCurrentProgress(int prog){
		if(prog>-1)
			currentProgress=prog;
		return currentProgress;
	}
}
